Get Balance
curl --request GET \
--url https://api.ondoperps.xyz/v1/perps/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ondoperps.xyz/v1/perps/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ondoperps.xyz/v1/perps/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"walletBalance": "5000.00",
"realizedPnl": "250.00",
"unrealizedPnl": "-50.00",
"marginBalance": "4950.00",
"usedMargin": "1125.00",
"availableMargin": "3825.00",
"withdrawableMargin": "3825.00",
"maintenanceMarginRequirement": "112.50",
"totalMaintenanceMargin": "200.00",
"marginRatio": "0.04",
"leverage": "0.46",
"underLiquidation": false,
"totalFundingPayments": "-5.67",
"totalTradingFees": "12.34",
"totalPnL": "232.00",
"netInvested": "4750.00"
}
}{
"success": false,
"error": "Description of the error",
"error_code": "auth_missing"
}{
"success": false,
"error": "Description of the error",
"error_code": "account_not_allowed"
}{
"success": false,
"error": "Description of the error",
"error_code": "too_many_requests"
}{
"success": false,
"error": "Description of the error",
"error_code": "unknown"
}Margin Account
Get Balance
Get a summary of the balance for a margin account. For how positions and balances work, see Positions and balances.
GET
/
v1
/
perps
/
balance
Get Balance
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Margin account balance summary
Whether the request was successful
Example:
true
Error message, present only on failure
Example:
""
Semantic error code. See each endpoint's error responses for the specific codes it can return.
Deprecation notice, if applicable
Example:
""
Show child attributes
Show child attributes
⌘I